<?php

declare(strict_types=1);
/**
 * Behat testing.
 * Test for callback in callback.
 */

namespace Atk4\Ui\Demos;

use Atk4\Ui\Button;
use Atk4\Ui\Crud;
use Atk4\Ui\Exception;
use Atk4\Ui\Header;
use Atk4\Ui\Loader;
use Atk4\Ui\UserAction\ExecutorFactory;

/** @var \Atk4\Ui\App $app */
require_once __DIR__ . '/../init-app.php';

$m = (new CountryLock($app->db))->setLimit(5);
$app->getExecutorFactory()->registerTrigger(
    ExecutorFactory::TABLE_BUTTON,
    [Button::class, 'ui' => 'atk-test button', 'icon' => 'pencil'],
    $m->getUserAction('edit')
);

$loader = Loader::addTo($app);
$loader->cb->setUrlTrigger('trigger_main_loader');
$loader->loadEvent = false;

$loader->set(function (Loader $p) use ($m) {
    Header::addTo($p, ['Loader-1', 'size' => 4]);

    if (isset($_GET['err_main_loader'])) {
        throw new Exception('Exception from Main Loader');
    }

    $loaderSub = Loader::addTo($p);
    $loaderSub->cb->setUrlTrigger('trigger_sub_loader');
    $loaderSub->loadEvent = false;

    $loaderSub->set(function (Loader $p) use ($m) {
        Header::addTo($p, ['Loader-2', 'size' => 4]);

        if (isset($_GET['err_sub_loader'])) {
            throw new Exception('Exception from Sub Loader');
        } elseif (isset($_GET['err_sub_loader2'])) {
            throw new \Error('Exception II from Sub Loader');
        }

        $loaderSubSub = Loader::addTo($p);

        $loaderSubSub->set(function (Loader $p) use ($m) {
            Header::addTo($p, ['Loader-3', 'size' => 4]);

            $c = Crud::addTo($p, ['ipp' => 4]);
            $c->setModel($m, [$m->fieldName()->name]);
        });
    });
    \Atk4\Ui\Button::addTo($p, ['Load2'])->js('click', $loaderSub->jsLoad());
});

\Atk4\Ui\Button::addTo($app, ['Load1'])->js('click', $loader->jsLoad());
